# EdSig

Edwards-curve based cryptographic HTTP authorization and certification SDK for Node.js and command line tools.

The SDK can be used to build cryptomessaging clients or services that authenticate HTTP requests using public key based identities created on a smartphone or laptop.  Additionally the library supports certifying content using the same public keys, so that content can be distributed using ordinary web servers and edge caching networks.

A command line interface is included to help programmers quickly learn how EdSig works, and for interacting with EdSig based services.  A reference persona service is available at [https://personas.cryptomessaging.org](https://personas.cryptomessaging.org)


## Why EdSig?

* Strong cryptography for authorization, and signing and verifying real world data
* Decentralized identity
* Quickstart command line tools to get up and running in minutes
* Easy to use API that integrates easily with the web
* Multi-personas to preserve user privacy across use cases
* Key rotation
* Versatile implementations: Blockchain, federations, or branded


## Quickstart - Try Out The Command Line Interface!

The easiest way to learn about EdSig is to install the command line tools and run some commands.

Assuming you are using a Mac and have Node.js 8+ installed, install the command line interface:
<pre>
$ npm install edsig -g
</pre>

For more information view the [Command Line Interface docs](docs/cli.md)


## SDK Installation

The EdSig module can be used for both creating Node based [Cryptomessaging](https://cryptomessaging.org) services, and as a command line tool for generating cryptomessaging files and communicating with cryptomessaging services.

To include edsig in a your Node project:
<pre>
$ cd &lt;your project directory&gt;
$ npm install edsig --save
</pre>


## Installing EdSig on platforms other than Mac

Coming coon!

## Using The EdSig SDK

Coming soon!
